Groovy 1.7.10

## org.codehaus.groovy.syntax
[Java] Class TokenMismatchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.groovy.GroovyException
                  org.codehaus.groovy.syntax.SyntaxException
                      org.codehaus.groovy.syntax.TokenException
                          org.codehaus.groovy.syntax.TokenMismatchException

    public class TokenMismatchException
    extends TokenException

Constructor Summary
`TokenMismatchException(Token token, int expectedType)`

Method Summary
`int` | `getExpectedType()`
`Token` | `getUnexpectedToken()`

Methods inherited from class TokenException
getEndColumn

Methods inherited from class SyntaxException
getEndColumn, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator

Methods inherited from class GroovyException
isFatal, setFatal

Methods inherited from class Exception
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Throwable
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TokenMismatchException

    public TokenMismatchException(Token token, int expectedType)

Method Detail

### getExpectedType

    public int getExpectedType()

### getUnexpectedToken

    public Token getUnexpectedToken()

Copyright © 2003-2010 The Codehaus. All rights reserved.